blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
fa4318e99201a48fe8851e959ff948019509cce0 | Shell | mozilla/mozilla-reports | /script/serve.sh | UTF-8 | 245 | 3.0625 | 3 | [] | no_license | #!/bin/sh
# For local testing; starts a local HTTP server to render the site/ directory.
set -exo pipefail
# Move to the root of the git repository.
cd $(git rev-parse --show-toplevel)
# Move to the site dir
cd site/
python3 -m http.server
| true |
a51d496ee4b0f49757af048692691c9a1ff2532e | Shell | user1321/wifibroadcast-image-builder | /unmount.sh | UTF-8 | 502 | 2.921875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# apt dependencies: qemu qemu-user-static binfmt-support
set -e
set -o xtrace
DATA_DIR="$PWD/data"
MNT_DIR="$DATA_DIR/mnt"
function unmount {
sudo umount -l "$MNT_DIR/sys" || true
sudo umount -l "$MNT_DIR/proc" || true
sudo umount -l "$MNT_DIR/dev/pts" || true
sudo umount -l "$MNT_DIR/dev" || true
... | true |
709d5af1e8c003fe6c1981e92b6525fe16b8415a | Shell | FirstDraftGIS/firstdraft | /devops/templates/download-places.template.sh | UTF-8 | 670 | 2.953125 | 3 | [
"Apache-2.0"
] | permissive | set -e
echo "running install on system requirements in case there are recent updates"
sudo DEBIAN_FRONTEND=noninteractive apt-get install -y {{system_reqs}}
echo "upgrading python packages just in case there are recent updates to requirements.txt"
sudo -H -u usrfd bash -c "cd /home/usrfd && source /home/usrfd/venv/bi... | true |
707243523e5e5722ad9ad3ed52ff412d1109c702 | Shell | btherl/PHP-C-array | /build/shtool | UTF-8 | 36,163 | 3.625 | 4 | [] | no_license | #!/bin/sh
##
## GNU shtool -- The GNU Portable Shell Tool
## Copyright (c) 1994-2002 Ralf S. Engelschall <rse@engelschall.com>
##
## See http://www.gnu.org/software/shtool/ for more information.
## See ftp://ftp.gnu.org/gnu/shtool/ for latest version.
##
## Version: 1.6.2 (02-Nov-2002)
## Contents: 4/19 availabl... | true |
dc6090b59e8031264b5193471dc67f8fe55126ca | Shell | Anil129/Check | /Banksetup/file6.sh | UTF-8 | 1,673 | 2.78125 | 3 | [] | no_license | #!/bin/bash
echo -e "\033[7;2;33mStarting script setup\033[m"
cp /home/anil/Downloads/Banksetup/file2.txt /home/anil/Downloads/Banksetup/sure
cp /home/anil/Downloads/Banksetup/script /home/anil/Downloads/Banksetup/axislt1-prqwf-n1.sh
gedit sure
`lsof | grep sure`
if [ $? == 1 ]; then
read -p "line1" line1 < /home/... | true |
51ef64f02ac989e0c4728cd7ace5c017785a5eab | Shell | Arznnn/dotfile-i3-config | /.scripts/availabilitytestserver.sh | UTF-8 | 617 | 2.96875 | 3 | [] | no_license | #! /bin/bash
function check {
if [ $? -ne 0 ] ; then
xmessage -center "Error occurred getting URL $1:" -display :0.0
if [ $? -eq 6 ]; then
echo "Unable to resolve host"
else
echo "Unable to connect to host"
fi
exit 1
fi
}
curl -sS -o "/dev/null"... | true |
208a0c5fbab78d177f78d6faa8013ff9553dbdbf | Shell | ContainerSolutions/kong-demo | /demos/02_create-ingress/test.sh | UTF-8 | 666 | 3.265625 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
set -e
# Check our things are there
if ! kubectl get ingress/echo > /dev/null 2>&1
then
echo "ERROR: ingress/echo status wasn't as expected."
elif ! kubectl get kongingress/echo > /dev/null 2>&1
then
echo "ERROR: kongingress/echo status wasn't as expected."
fi
# Forard the service port locall... | true |
cd2c8a7aa621f5f297006f392d2e0b23cc316dac | Shell | mcr/nmh | /test/mhmail/test-mhmail | UTF-8 | 16,656 | 3.921875 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/sh
######################################################
#
# Test mhmail
#
######################################################
set -e
if test -z "${MH_OBJ_DIR}"; then
srcdir=`dirname $0`/../..
MH_OBJ_DIR=`cd $srcdir && pwd`; export MH_OBJ_DIR
fi
. "${srcdir}/test/post/test-post-common.sh"
# Find ... | true |
8dd6ea0de6338dd84594d5b789219700950a60f2 | Shell | abochkarev/CloudFerry | /devlab/provision/libvirt.sh | UTF-8 | 627 | 2.796875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Description:
# Updates libvirt configuration to support passwordless unencrypted
# connection in libvirt
# Usage:
# ./libvirt.sh
#
echo "Updating libvirtd.conf"
sed -i 's/^.*listen_tls.*=.*$/listen_tls = 0/' /etc/libvirt/libvirtd.conf
sed -i 's/^.*listen_tcp.*=.*$/listen_tcp = 1/' /etc/libvirt/l... | true |
70e4a586f91f9b5ba7bda614e38a239e6a7ef3a3 | Shell | ElementumOrg/libtorrent-go | /docker/scripts/build-boost.sh | UTF-8 | 1,194 | 3 | 3 | [
"BSD-3-Clause"
] | permissive | #!/usr/bin/env bash
set -ex
scripts_path=$(dirname "$(readlink -f "$0")")
source "${scripts_path}/common.sh"
if [ ! -f "boost_${BOOST_VERSION_FILE}.tar.bz2" ]; then
wget -q https://netcologne.dl.sourceforge.net/project/boost/boost/${BOOST_VERSION}/boost_${BOOST_VERSION_FILE}.tar.bz2
fi
if [ ! -f "boost_${BOOST_VER... | true |
d5d38856afe0e7f6b7f29560bcc3e68af5625bbd | Shell | karlandreas/shell_scripts | /init.sh | UTF-8 | 1,999 | 3.75 | 4 | [] | no_license | #!/bin/bash
#
# AWS initial setup script
#
# change host to google dns and set hostname to computer hostname
HOSTNAME=`hostname`
USERNAME=`whoami`
sudo sed -i 's/127.0.0.1/8.8.8.8/g' /etc/resolv.conf
sudo sed -i "s/.*/$HOSTNAME/g" /etc/hostname
# check to see that the hostname got updated
if grep '8.8.8.8' /etc/resol... | true |
cfc1cb547e6d764fd2123589060b4d85db5dc6ea | Shell | menandmice-services/dns-monitoring-scripts | /test14.sh | UTF-8 | 705 | 3.765625 | 4 | [
"BSD-2-Clause"
] | permissive | #!/bin/sh
#
# Test 14 - DS Records and KSK - test that the DS-Record matches the
# KSK in the zone. The two values (Key-ID) must match.
#
echo " == #14 - DS Records and KSK == "
if [ "$1" = "" ]; then
echo "This test fails without domain param. Exiting..."
exit 1
fi
err=0
dskeyid=$(dig ${1} DS +short +cd +noco... | true |
a341b8a3ae52d215d652a2f077d1b2c2c5cbf598 | Shell | borgstrom/dot-files | /.zshrc | UTF-8 | 2,649 | 3.453125 | 3 | [] | no_license | # Enable Powerlevel10k instant prompt. Should stay close to the top of ~/.zshrc.
# Initialization code that may require console input (password prompts, [y/n]
# confirmations, etc.) must go above this block; everything else may go below.
if [[ -r "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" ]]; ... | true |
3be6bd4ca167e5daa2f45c2b4a722e21a8e8e8e7 | Shell | 3DTK/comma | /bash/test/comma_background/groups/test | UTF-8 | 1,460 | 3.96875 | 4 | [
"BSD-2-Clause"
] | permissive | #!/bin/bash
scriptname=$( dirname "$0" )
util="comma-process-util"
source $( which "$util" ) || { echo "$scriptname: cannot source '$util'" >&2; exit 1; }
output_dir="output"
mkdir -p "$output_dir" || { echo "$scriptname: cannot create directory '$output_dir'" >&2; exit 1; }
function report_own_tree()
{
echo "p... | true |
6cde2fa064b1657f02552d5fe426c0492f32b233 | Shell | RoyBoy432/Task2 | /LTDE/bin/assembly/assembly_reference.sh | UTF-8 | 1,122 | 3.015625 | 3 | [] | no_license | #!/bin/bash
#PBS -k o
#PBS -l nodes=1:ppn=8,vmem=100gb,walltime=10:00:00
#PBS -M wrshoema@indiana.edu
#PBS -m abe
#PBS -j oe
module load bioperl
module load python
module load gcc
#module load khmer
module load velvet
module load VelvetOptimiser
module load spades
for folder in /N/dc2/projects/muri2/Task2/LTDE/data/r... | true |
e35f0f87f25fd44df7089a15544466ce196858a7 | Shell | monishbairagi/CSE_5TH_SEM | /OS/DAY8/Q3.sh | UTF-8 | 316 | 4 | 4 | [] | no_license | echo -n "Enter File Name/Directory: "
read fname
if [ -e $fname ]; then
if [ -f $fname ]; then
echo "$fname is a REGULAR FILE."
ls -l $fname
elif [ -d $fname ]; then
echo "$fname is a DIRECTORY."
ls -l $fname
else
echo "$fname is a OTHER FILE."
ls -l $fname
fi
else
echo "$fname Does Not Exist."
fi | true |
267391c5b7ba22516fb8eef570ef46e0a95c73ee | Shell | CruGlobal/give-lambda | /run.sh | UTF-8 | 338 | 2.96875 | 3 | [] | no_license | #!/usr/bin/env bash
# Set PROJECT_NAME and ENVIRONMENT for testing/demo
export PROJECT_NAME=give-lambda
if [[ -z "${ENVIRONMENT}" ]]; then
export ENVIRONMENT=staging
fi
# Export environment variables for use with serverless
source $ECS_CONFIG/bin/load_environment.sh
load_environment
set -x && npx serverless --stag... | true |
8a4d5e560e3eb9181c2e57e316de30be9841571e | Shell | oliviamikaela/cloud_computing_project | /terraform2/run_terraform.sh | UTF-8 | 442 | 3.203125 | 3 | [] | no_license | #!/bin/bash
# For terraform argument is number of workers , in format -var="num_workers=2"
# Run this script without input argument, uses default number of workers
# > sh run_terraform.sh
# Run this script with input number of workers, ex is 2.
# > sh run_terraform.sh 2
terraform init
# check if input arg is emp... | true |
a26187c36d9b621c3ae4b0d14c6c3688c689a048 | Shell | lmregus/Portfolio | /bash/appendDate1_1.sh | UTF-8 | 646 | 3.734375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# Written by: Luis Regus
# Version: 1.1
#This is an update version of the appendDate script. It does not change
#the name of the script in the directory
for file in `find . -maxdepth 1 -type f` #searches for files in a directory
do #start of the loop
if [ $file != $0 ] #if the f... | true |
b587eb40f814859dddd6ce174854ce5cd8f1227f | Shell | sohail-ahamed-qureshi/Shell-programming | /Repitations/assignments/usingWhileLoop/powerOf2.sh | UTF-8 | 117 | 3.015625 | 3 | [] | no_license | #!/bin/bash
num=$1
power=2
i=1
while [[ $i -le $num ]]
do
power=$(($power*2))
$((i++))
echo $power
done
| true |
b5e4429ce275f61f3501434897384d707033eb6a | Shell | poppyred/Books | /Shell脚本/inotify_rsync2.sh | UTF-8 | 766 | 2.859375 | 3 | [] | no_license | #!/bin/sh
#此脚本仅用于文件热备而非实时同步,增加修改写入都会发送,目录修改属性不触发操作,rsync只同步改变的文件而非扫描整个目录。
#这种方式并非完全可靠会有事件遗漏导致文件不同步,如果要保持热备文件与数据源一致需要定期同步清理删除文件。
#需要多点写入并且数据严格同步以及数据完整的场合需要使用群集文件系统或者分布式文件系统。
PWD=/data/scripts/rsync.snd
SRC=/data/rom/
DST=file@10.0.2.237::rom/
/usr/bin/inotifywait -mrq --format='%w%f' -e modify,create,close_write ${SRC}... | true |
9c5b7e3b54d37448be6d49a13e800a92dc54d363 | Shell | googleinterns/kevin-grosman-2020 | /CUJExecutor/dumpSummary | UTF-8 | 470 | 3.390625 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
#Prints, in order, entry counts for HSPL, HPL, PL, L
DUMP=${1}
TOTAL=$(cat $DUMP | wc -l)
echo "HSPL HPL PL L"
HSPL=$(grep "^HSPL" $DUMP | wc -l)
echo -n "$HSPL "
HPL=$(grep "^HPL" $DUMP | wc -l)
echo -n "$HPL "
PL=$(grep "^PL" $DUMP | wc -l)
echo -n "$PL "
L=$(grep "^L" $DUMP | wc -l)
echo -... | true |
42d72d7b096174040875ff55b7b9e932b4fa28fc | Shell | lucasec/Vagrant-DB-Playground | /CouchDB/provision.sh | UTF-8 | 564 | 3.1875 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
if [ ! -e '.vg-setup-done' ]; then
echo "Updating package repository"
apt-get -qq update > /dev/null 2>&1
echo "Installing CouchDB..."
apt-get install -y couchdb
echo "Configuring CouchDB..."
sed -i "s/;bind_address = 127.0.0.1/bind_address = 192.168.33.12/g" /etc/couchdb/local.ini
service ... | true |
14061172d8a1c8c367e3c7c121655811ced5d5d2 | Shell | GoblinDynamiteer/bash | /file/unrar_movie.sh | UTF-8 | 703 | 4.0625 | 4 | [] | no_license | DIR=$1
BASE=$( basename "$1" )
FULL_PATH=$(pwd)/$DIR
echo $FULL_PATH
if ! [ -d "$DIR" ]; then
echo "$DIR is not an existing folder!"
exit
fi
for file in $DIR/*
do
# Find .rar file
filename="${file##*/}"
extension="${filename##*.}"
if [ "$extension" == "rar" ]; then
RAR_FILE=$FULL_PATH/$filena... | true |
9671aa8f8b237476f23093d1352c3435bed1e4ba | Shell | HenryHo2015/shell-scripts | /03/recursive_function.sh | UTF-8 | 318 | 3.75 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#Shell Script Name: Hello world!
#Describe:Print Hello world string on screen
#Author:Henry Ho
#Version:1.0.0
#Date:8-3-2016
dolist()
{
local dir count
dir="$1"
count=0
for fn in ${dir}/*;
do
if [ -d "$fn" ];
then dolist "${fn}"
fi
count=`expr $count + 1`
done
echo "${count} ${dir}"
}
dolist $1
| true |
524e0b0e55cd21d4ebb79458f36ad55e0632368c | Shell | heyitsanthony/klee-mc | /tools/knest/run_python.sh | UTF-8 | 257 | 2.765625 | 3 | [
"NCSA"
] | permissive | #!/bin/bash
source flags.sh
if [ ! -z "$1" ]; then
cd `dirname "$1"`
fi
KLEE_FLAGS="$KLEE_FLAGS " #-xchk-hwaccel=true " #-debug-print-values -debug-print-instructions"
sname=`basename "$1"`
knest_launch "py" "python2.7" "$sname" "" `pwd`/"trampoline.py"
| true |
c89365951bb2fc62411b030c2ef657e42da6645a | Shell | jamesxuhaozhe/ShellScripting | /continue_demo.sh | UTF-8 | 135 | 3.03125 | 3 | [] | no_license | #!/bin/bash
#
for ((i = 1; i <= 30; i++)); do
if ((i >= 10 && i <= 20)); then
continue
else
echo "Number is $i"
fi
done
| true |
f59074c86a76e452bd583cd9d2b2b2243a6794be | Shell | tokyoprogrammer/islanderApp | /update_monaca.sh | UTF-8 | 170 | 3.0625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
monaca update --force
if [ $? -eq 1 ]
then
echo "Something went wrong while updating monaca."
echo "Maybe the version is already up-to-date."
fi
exit
| true |
e5313e6691e3d981ad48ac205b1038984d5e3274 | Shell | pdtpools/pdt-tools | /bin/signTx.sh | UTF-8 | 5,329 | 4.03125 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
usage() {
print
print "${bold}Signs a draft transaction with one or more keys and stores as .signed file${normal}"
print "All output is logged along with executed cardano-cli commands."
print
print "Usage: ${scriptName} --name NAME --signing-key-file FILE [--signing-key-file FIL... | true |
4d2cfbecc5d1dded3af9cbc01a4d34cc725ad530 | Shell | alces-software/forge-packages | /clusterware/clusterware-compute/libexec/compute/actions/help | UTF-8 | 4,255 | 3.765625 | 4 | [] | no_license | #!/bin/bash
#==============================================================================
# Copyright (C) 2017 Stephen F. Norledge and Alces Software Ltd.
#
# This file/package is part of Alces Clusterware.
#
# Alces Clusterware is free software: you can redistribute it and/or
# modify it under the terms of the GNU A... | true |
14c8a4845ff249ab0e71b5605bed7bf521f2ab5c | Shell | tatums/heroku-buildpack-bundle-clean | /bin/compile | UTF-8 | 334 | 2.59375 | 3 | [] | no_license | #!/bin/bash
BUILD_DIR=$1
CACHE_DIR=$2
ENV_DIR=$3
echo "=========================== START PATH HACK ========================="
mkdir -p $BUILD_DIR/.profile.d
echo 'export PATH=/app/heroku-cli/bin:$PATH' > $BUILD_DIR/.profile.d/heroku-cli-hack.sh
echo "=========================== END PATH HACK =====================... | true |
65a786f41031e6b46f79cf3f75f035a6475bd393 | Shell | chengshangqian/spring-cloud-in-action | /pom-parent/bin/start.sh | UTF-8 | 555 | 3.75 | 4 | [] | no_license | #!/bin/bash
#author:chengshangqian@foxmail.com
#filename:start.sh
APP_NAME=$1
if [ ! ${APP_NAME} ]; then
echo "app name required..."
exit 0
fi
APP_ARGS=$2
IP_ADDRESS=`ifconfig eth0 | grep 'inet ' | awk '{print $2}'`
APP_JAR_NAME=`ls -t | grep ${APP_NAME}*.jar`
if [ ! ${APP_JAR_NAME} ]; then
echo "${APP_NAME} not... | true |
e573abc8a33f25ede2b189812d8e105328f379a8 | Shell | jjwill/environment | /.bash/.colors.bash | UTF-8 | 4,446 | 3.8125 | 4 | [] | no_license | # A bash file for coloring stuff. It consists of:
#
# - List of COLOR_<name> shell variables
# - Functions using tput named by lowercase colors
#
# ------------------------------------------------------------
# Color definitions (taken from Color Bash Prompt HowTo).
# Some colors might look different of some termi... | true |
808dd77bc2f7f6a7542018f97075fee54252b74f | Shell | MachineLearningJournalClub/SSVEP_IEEE_SMC_2021 | /Code/ModelSelection/datafold-master/doc/full_build.sh | UTF-8 | 782 | 3.03125 | 3 | [
"MIT",
"BSD-2-Clause",
"Python-2.0"
] | permissive | #!/bin/bash
# ./.. points to the datafold package and fetches then the datafold package with all modules contained
# documentation: https://www.sphinx-doc.org/en/master/man/sphinx-apidoc.html
# use -f to force build all modules
#sphinx-autogen -o ./source/_apidoc ./.. setup.py
#sphinx-apidoc -o ./source/_apidoc ./.. s... | true |
a60317aeedab9b2130becd5ddf1ff5d8996f6ea6 | Shell | releasemgn/shurm | /master/deployment/restartenv.sh | UTF-8 | 817 | 3.3125 | 3 | [] | no_license | #!/bin/bash
# Copyright 2011-2013 vsavchik@gmail.com
. ./getopts.sh
# check params
# should be specific DC
DC=$GETOPT_DC
if [ "$DC" = "" ]; then
echo restartenv.sh: DC not set
exit 1
fi
SRVNAME_LIST=$*
RESTART_SERVER_LIST=$SRVNAME_LIST
if [ "$RESTART_SERVER_LIST" = "" ]; then
RESTART_SERVER_LIST="all"
fi
if [ "... | true |
d3e125d84223c46899de9221644ffa9544e83f33 | Shell | REAP720801/git-lfs | /docker/gpg-agent_stop.bsh | UTF-8 | 605 | 3.46875 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -eu
CUR_DIR=$(dirname ${BASH_SOURCE[0]})
: ${SUDO=`if ( [ ! -w /var/run/docker.sock ] && id -nG | grep -qwv docker && [ "${DOCKER_HOST:+dh}" != "dh" ] ) && which sudo > /dev/null 2>&1; then echo sudo; fi`}
function docker_wait(){
# Image seconds
for x in $(seq $2); do
if [ "$($SUDO d... | true |
70ab473d32ea3b67d21377babc2bdc3bb57bb65e | Shell | broadinstitute/APSGhistory | /config/branch/etc/dk_test_all.sh | UTF-8 | 942 | 3.078125 | 3 | [] | no_license | #!/bin/bash -l
echo $DK_ROOT
# List of all packages.
DK_ALL=`find $DK_ROOT -name "*dk" -type f -printf "%f\n" | sort -u | sed 's/\(.*\)\.dk/\1/'`
# List of changed packages.
pushd $DK_ROOT > /dev/null 2>&1
DK_CHANGED=`for f in $(svn status | awk '/\.dk/ {print $2}'); do basename $f | sed 's/\(.*\)\.dk/\1/'; done`... | true |
4afc1f0c4f62caf3ba70763645f5285b89c2d819 | Shell | CBIIT/cadsr-cde-browser | /docker11/run.sh | UTF-8 | 2,412 | 2.984375 | 3 | [
"LicenseRef-scancode-unknown-license-reference",
"BSD-3-Clause",
"Ruby"
] | permissive | #~/bin/sh
echo "we are in the /usr/src/cdebrowser/cadsr-cde-browser directory"
git pull
if [ $tag != 'origin/master' ] && [ $tag != 'master' ]; then
git checkout tags/$tag
fi
# Function to check if wildfly is up #
function wait_for_server() {
until `/opt/wildfly/bin/jboss-cli.sh -c --controller=localhost:19990 ":... | true |
7a85895a9dafd1646f300e39b4ff1e211497d41e | Shell | DolsonLab/2021-Symbiont-Ecology | /configs/vert_trans_0.2_sbatch_file.sb | UTF-8 | 1,121 | 3.140625 | 3 | [
"MIT"
] | permissive | #!/bin/sh
## This file runs one experimental condition (i.e. a group of jobs that
## differ only by their random seed)
## Email settings
#SBATCH --mail-type=ALL
#SBATCH --mail-user=f0102819@msu.edu
## Job name settings
#SBATCH --job-name=vert_trans_0.2
## Wall time (e.g. "days-hours:minutes")
#SBATCH --time=0-12:00... | true |
22c53d61e471cb08d0d5536b27d72b9e7fce3837 | Shell | lifezq/notebook | /container/kubernetes/kubernete_init.sh | UTF-8 | 1,589 | 2.921875 | 3 | [] | no_license | #!/bin/bash
minikube version
minikube start
KUBEIP=$(minikube ip)
kubectl version
kubectl cluster-info
kubectl get nodes
# deploy app nginx
APPNAME="nginx"
kubectl run $APPNAME --image=docker.io/nginx:1.12 --port=80
kubectl get deployments
POD_NAME=$(kubectl get pods -o go-template --template '{{range .items}}{{.... | true |
a1fffced8584cc0ddf632c7b1d7567e562b52753 | Shell | jmoguillansky-gpsw/gopro-pkg | /pkg/win/renderdoc/build_cmd.sh | UTF-8 | 251 | 2.53125 | 3 | [] | no_license | #!/bin/bash
set -ex
TMP_DIR=/mnt/c/wsltmp/gopro-pkg/external
SCRIPT=`realpath $0`
SCRIPT_PATH=`dirname $SCRIPT`
mkdir -p $TMP_DIR/renderdoc
pushd $TMP_DIR/renderdoc
git clone https://github.com/baldurk/renderdoc
pushd renderdoc
msbuild.exe
popd
popd
| true |
7e6da50df877294850c53b1007a4b71eed5476a7 | Shell | mcnesium/firmware-freifunk-dresden | /files/common/usr/lib/ddmesh/ddmesh-qrencode.sh | UTF-8 | 636 | 2.84375 | 3 | [] | no_license | #!/bin/sh
test -x /usr/bin/qrencode || exit 0
/usr/bin/qrencode -s 3 -o /tmp/2d.png "Freifunk Dresden, $_ddmesh_hostname, http://$_ddmesh_ip.freifunk-dresden.de"
T=/tmp/2d-big.txt
>$T
echo "Freifunk Dresden - Freie WLAN Community" >> $T
echo "Knoten: $_ddmesh_hostname" >> $T
echo "http://$_ddmesh_ip.freifunk-dresden... | true |
c74bb2cf6d4a0935de5b294f94bd57b3c3ce5039 | Shell | kariudo/yay-polybar | /updates-arch-yay.sh | UTF-8 | 336 | 3.484375 | 3 | [] | no_license | #!/bin/sh
# List all updates available from Yay (includes AUR)
# Sync package list first
yay -Sy > /dev/null
# Get list and count of updates
if ! updates=$((checkupdates; yay -Qum) | wc -l); then
updates=0
fi
# Print the available updates if more than 0
if [ "$updates" -gt 0 ]; then
echo " $updates"
else
... | true |
53c4ce764846bafdac0428e5420064b4669d0832 | Shell | slpcat/docker-images | /oracle/OracleDatabase/RAC/OracleRealApplicationClusters/dockerfiles/21.3.0/installGridBinaries.sh | UTF-8 | 1,799 | 3.234375 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
# LICENSE UPL 1.0
#
# Copyright (c) 2018,2021 Oracle and/or its affiliates.
#
# Since: December, 2018
# Author: sanjay.singh@oracle.com, paramdeep.saini@oracle.com
# Description: Install grid software inside the container.
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
EDITION=$1
PATCH_NU... | true |
bdce4ccc034a00f6e12cd638ff7b3f8ece0c65e1 | Shell | schuyler-smith/hpcc_qsubs | /interactive_sub.sh | UTF-8 | 739 | 3.515625 | 4 | [] | no_license | #!/bin/bash
usage(){
cat << EOF
USAGE: int.sh <integer>
EOF
}
while getopts ":ht" OPTION; do
case $OPTION in
h)
usage
exit 1
;;
t)
time=1
;;
:)
echo "Option -$OPTARG requires an argument." >&2
exit 1
;;
... | true |
7a1536de9b5e83d15fb7ad6a95073b10a0deaf0f | Shell | edgrcas/webpack-riotjs-pug-coffee-boilerplate | /web/init.sh | UTF-8 | 237 | 3.296875 | 3 | [] | no_license | #!/bin/bash
dir_test=./node_modules
if [ ! -d $dir_test ]
then
echo "NPM UPDATE!"
yarn install
fi
if [ "$NODE_ENV" == 'dev' ]
then
echo "DEV MODE ::."
yarn server
else
echo "PRODUCTION MODE ::."
yarn build
yarn deploy
fi
| true |
0cab4abcbdaf183506f1a9f964e0a441ba5dcdf6 | Shell | KatieMishra/VoiceClassification | /sphinxbase/autoconf-2.69/automake-1.14/t/remake-include-makefile.sh | UTF-8 | 2,619 | 3.25 | 3 | [
"BSD-2-Clause",
"MIT",
"GPL-2.0-or-later",
"GPL-1.0-or-later",
"GPL-2.0-only",
"GPL-3.0-only",
"FSFAP",
"GPL-3.0-or-later",
"Autoconf-exception-3.0",
"LicenseRef-scancode-other-copyleft"
] | permissive | #! /bin/sh
# Copyright (C) 2010-2013 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | true |
5c7ab0a21282a755b4fbb06ac9ece3db58324e2e | Shell | gubertoli/ProbingDataset | /mawilab/2_filter_pcap.sh | UTF-8 | 419 | 3.171875 | 3 | [] | no_license | #!/bin/sh
#
# This script will filter out the anomalous and suspicious packet from all splited output_*.pcap files (after splitPcap.sh)
# and output as output_*filtered.pcap
#
# Filter rule is obtained from mawilabExtract.py
#
# tshark -r input_file.pcap -w output_file.pcap -Y filter_rule
#
RULES="`cat filter_rule.tx... | true |
b170c9e36cd3935949f4b73191d4aff88cfe4be0 | Shell | vijay120/DistributedYahtzee | /test_yahtzee_player.sh | UTF-8 | 898 | 2.625 | 3 | [] | no_license | set -o verbose
erlc player_controller.erl
erlc yahtzee_manager.erl
erlc tournament_manager.erl
erlc referee.erl
erlc yahtzee_player1.erl
erlc yahtzee_player2.erl
set +o verbose
# echo "==== SLEEP FOR 3 SECONDS ^-- see above compile results to see if there are any errors ================"
# sleep 3
echo "===============... | true |
cd68ce0c12756b188ceede2304b4238e212be7e4 | Shell | hansode/linux-lxc-verification | /config.d/base.sh | UTF-8 | 1,304 | 3.109375 | 3 | [
"Beerware"
] | permissive | #!/bin/bash
#
# requires:
# bash
#
set -e
set -o pipefail
set -x
# Do some changes ...
for i in ifdown-macvlan ifup-macvlan; do
curl -fsSkL https://raw.githubusercontent.com/larsks/initscripts-macvlan/master/${i} -o /etc/sysconfig/network-scripts/${i}
chmod +x /etc/sysconfig/network-scripts/${i}
done
##
cat <<... | true |
2be3838c753f501798d206d0c624d59e03c93c40 | Shell | jeffrey-xiao/dotfiles | /bin/dmenu-wrapper | UTF-8 | 241 | 3.65625 | 4 | [
"MIT",
"LicenseRef-scancode-unknown-license-reference",
"Apache-2.0"
] | permissive | #!/bin/sh
set -eu
[ -x "$(command -v "$1")" ] || { echo 'Error: Argument 1 must be a rofi script.' && exit 1; }
script="$1"
shift
selected_option=$($script | rofi -dmenu "$@")
[ -z "$selected_option" ] && exit
$script "$selected_option"
| true |
9af983b360f25890adfbf993ab57a97229c06ac3 | Shell | magistrat-bratislava/opendata | /scripts/import.sh | UTF-8 | 439 | 2.9375 | 3 | [
"LicenseRef-scancode-warranty-disclaimer"
] | no_license | #!/usr/bin/env bash
name="$1"
parse="$2"
cd "$(dirname "$0")"
mkdir ./temp/export
mkdir ./temp/download
rsync -avzh otuuserftp@172.25.5.82:/home/otuuserftp/ftp/files/* ./temp/download
unzip temp/download/"$name" -d temp/export
php parse.php summary temp/export/summary-export-$parse.csv
php parse.php form temp/exp... | true |
95b0f3632c60f54d301a2978616e9199257061dd | Shell | kumudgarg/snakeAndLadder | /SnakeAndLadderSimulation.sh | UTF-8 | 1,546 | 3.78125 | 4 | [] | no_license | #!/bin/bash -x
#<-----Constants-------------->
PLAYER=1
WINNING_POSITION=100
DEFAULT_POSITION=0
SNAKE=2
LADDER=1
NO_PLAY=0
#<-----Global variables-------->
playersPosition=0
positionCount=0
playersTurn=0
declare -A playerResultInfo
function playingGame()
{
while [ $playersPosition -lt $WINNING_POSITION ]
do
rol... | true |
ce1f5084d87eb19e79c5c11a610ef94d0c864f17 | Shell | MoiGithubStuff/developers.redhat.com | /previews/view-drupal-logs.sh | UTF-8 | 625 | 3.28125 | 3 | [] | no_license | #
# Connects to Drupal in the preview environment and tails the logs
#
#!/usr/bin/env bash
set -e
OC=$(which oc)
if [[ oc == '' ]]; then
echo "Please install the Openshift Command Line Client"
exit 1
fi
PULL_REQUEST_ID=$1
if [[ $PULL_REQUEST_ID == '' ]]; then
echo "Please specific a pull request id"
... | true |
851a75b9e5170b53afac5324c6a0b374b3582ed0 | Shell | zhgeaits/ZGPlayer | /third_part/ffmpeg-2.4.2/build_ffmpeg_android_arm.sh | UTF-8 | 5,747 | 2.609375 | 3 | [] | no_license | #!/bin/bash
######################################################
# Desc:
# This script is based on dolphin player's ffmpeg script,
# modified by zhangge.
######################################################
NDK=/home/zhangge/android-ndk-r8b
PLATFORM=$NDK/platforms/android-9/arch-arm/
PREBUILT=$NDK/toolchains/arm-... | true |
d3164e9c50dd050317fb78d9151d28e7f591a92d | Shell | Meshnu/octoswarm | /stack/13/stack-ensure-pingdom | UTF-8 | 537 | 3.359375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
usage(){
echo 'USAGE:'
echo " Don't"
echo ''
echo 'DEPRECATED:'
echo ' Use the tool octopingdom on the project'
echo ' https://github.com/octoblu/octoswarm-pingdom'
echo ' instead. octopingdom is available in homebrew'
echo ' from the octoblu/tools tap.'
echo ''
echo 'Arguments:'
... | true |
4545df08b201b9eae70994fbc8fd2b7d70118cef | Shell | rfocosi/otp-cli | /lib/remove | UTF-8 | 413 | 4 | 4 | [
"MIT"
] | permissive | #!/bin/sh
show_usage()
{
[ -n "$1" ] && echo "ERROR: $1"
echo "Usage: $( basename ${0} ) remove [-h] [Token Name]"
echo
echo " -h : This help"
echo
echo "If [Token Name] is empty, it will be prompted."
exit 1
}
if [ "$1" = "-h" ]; then
show_usage
exit 1
fi
TOKEN_NAME=$1
read_token_name
get_token_... | true |
fb4576fd4e5d1d950b4bf3dc6c16c2d5cb113815 | Shell | fgdangiolo/Raspberry-PI | /LAMP_Server/lamp.sh | UTF-8 | 845 | 2.796875 | 3 | [] | no_license | #!/bin/bash
echo "======================="
echo "Update and Upgrade..."
echo "======================="
sudo apt-get update
sudo apt-get upgrade -y
echo "======================"
echo "Installing Apache..."
echo "======================"
# Install apache
sudo apt-get install apache2 -y
echo "======================"
... | true |
d04dc161754bb926a23716e6d9cec2eea2e8cd1a | Shell | lorenzleutgeb/sessel | /run.sh | UTF-8 | 160 | 2.796875 | 3 | [] | no_license | #!/bin/bash
set -ex
for i in 1 2 3 4
do
if [ ! -e ${i}.ogg ]
then
echo ${i}.ogg missing!
read
exit
fi
done
python sessel.py 1.ogg 2.ogg 3.ogg 4.ogg
| true |
83551e2610bb26225cce7b5d5028f130f18ef130 | Shell | ljzjohnson/heat | /heat/cloudinit/loguserdata.py | UTF-8 | 3,910 | 3.21875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, s... | true |
00fad9a387d8b6c5613e18145fe1d4d87799393d | Shell | magne/docker | /sonar/run | UTF-8 | 853 | 3.3125 | 3 | [] | no_license | #!/bin/bash
set -e
SONAR_DB=${SONAR_DB:-"sonar"}
SONAR_DB_USER=${SONAR_DB_USER:-"sonar"}
SONAR_DB_PASS=${SONAR_DB_PASS:-"sonar"}
SONAR_DIR=/opt/sonar
SONAR_CMD=$SONAR_DIR/bin/linux-x86-64/sonar.sh
SONAR_CONFIG_FILE=$SONAR_DIR/conf/sonar.properties
for d in $SONAR_DIR/extensions/plugins $SONAR_DIR/logs; do
if [[ ... | true |
4d6e7c662ed91b16599652d6c33a6bcd9154acf9 | Shell | joekir/YUBIHSM_mTLS_PKI | /ROOT/scripts/signIntermediateCA_csr.sh | UTF-8 | 559 | 2.734375 | 3 | [] | no_license | #!/bin/bash
set -eu
CSR_IN=../Intermediates/client-intermediate-ca-$INT_CA_NUM/tmp/client-intermediate-ca-$INT_CA_NUM.csr
CERT_OUT=../Intermediates/client-intermediate-ca-$INT_CA_NUM/certs/client-intermediate-ca-$INT_CA_NUM.pem
pushd ../ > /dev/null
openssl ca -engine pkcs11 -keyform engine -config configs/client-ro... | true |
bb2e01bc5cccf06ffeb6f3a544519e747689aac3 | Shell | prfagun1/Scripts | /Linux/Dicas LS.sh | UTF-8 | 183 | 2.5625 | 3 | [] | no_license | #lista arquivos por ordem de data
ls -ltr
ls -lt
#lista somente os diretorios
ls -d */
#monitora arquivo e exibe novas linhas
tail -f
#Lista arquivos por ordem de tamanho
ls -ltSrh | true |
5975265b26f53e2639eb0406aecd5281f16fb742 | Shell | rssdev10/yauza-streaming-benchmark | /original/scripts/dstat_stop.sh | UTF-8 | 199 | 2.609375 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
source $(dirname "$0")/config_helper.sh
for node in $(get_slaves_and_masters); do
ssh $node "hostname; kill `cat $OUT_DIR/dstat_$node.pid`; rm $OUT_DIR/dstat_$node.pid";
done
| true |
bfb9e1aad178a5a529b37bf55074602ebd90f68e | Shell | fenengl/Probes | /paper_edition/PTetraProbes/data_table.sh | UTF-8 | 982 | 2.6875 | 3 | [] | no_license | #!/bin/bash
echo "Data table for PTetra runs"
echo "============================================"
module --quiet purge
module load Anaconda3/2020.11
export PS1=\$
source ${EBROOTANACONDA3}/etc/profile.d/conda.sh
conda deactivate &>/dev/null
conda activate
proberadius=(1.87 1.87 1.87 1.87 1.87 1.87 1.87 1.87 1.87 1... | true |
16a65dc30d06db5e3959aa9ad19d2b6ade4c9486 | Shell | ljp666/ngrinder | /ngrinder-core/src/main/resources/shell/run_agent_internal.sh | UTF-8 | 272 | 2.734375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh
controllerIp=""
if [ $1 ]
then
controllerIp="-Dcontroller=$1"
fi
curpath=`dirname $0`
LD_LIBRARY_PATH="${curpath}/native_lib/:${LD_LIBRARY_PATH}"
export LD_LIBRARY_PATH
java -Dstart.mode=agent ${controllerIp} -jar ngrinder-core-${ngrinder.version}.jar -server
| true |
44bad8f02df7b56a50e2d0b5899de592a8e327ac | Shell | macaty/omd-labs-docker | /scripts/install_common.sh | UTF-8 | 1,167 | 3.671875 | 4 | [] | no_license | #!/usr/bin/env bash
# install common packages
# script must fail on errors, otherwise build would just continue and result in a broker image
set -e
function main() {
case $1 in
centos) install_common_centos;;
debian) install_common_debian;;
ubuntu) install_common_debian;;
*) { echo "$1: Unknown OS t... | true |
c9f23c30c33e36bb7b67be145895c0e6967e185c | Shell | rewindio/snow-white | /ssm/stop_sidekiq_workers.sh | UTF-8 | 2,508 | 4.3125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
echo "Stopping the Sidekiq workers"
REGION=$(curl -s http://169.254.169.254/latest/meta-data/placement/availability-zone | sed 's/\(.*\)[a-z]/\1/')
# Returns the PID of the worker process
get_pid() {
local __workerinfo=$1
pid=$(echo ${__workerinfo} | cut -f 1 -d' ')
echo ${pid}
}
# Returns t... | true |
bce6939bad3177e159f062ea204baedf3e5aa9ce | Shell | MinimSecure/unum-sdk | /src/busybox/busybox-1.19.2/scripts/cleanup_printf2puts | UTF-8 | 312 | 2.9375 | 3 | [
"Apache-2.0",
"GPL-2.0-only"
] | permissive | #!/bin/sh
# Processes current directory recursively:
# printf("abc\n") -> puts("abc"). Beware of fprintf etc...
# BTW, gcc 4.1.2 already does the same! Can't believe it...
grep -lr 'printf\([^%%]*\\n"\)' . | grep '.[ch]$' | xargs -n1 \
sed -e 's/\([^A-Za-z0-9_]\)printf(\( *"[^%]*\)\\n")/\1puts(\2")/' -i
| true |
7c3b6f9cfd798ef6a4f326d4be6ea495a2169f3a | Shell | GamesCreatorsClub/GCC-Rover | /rover/telemetry/upload-telemetry.sh | UTF-8 | 444 | 2.6875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
echo ""
echo Uploading telemetry
pyros $1 upload -s telemetry $DIR/telemetry_service.py -e $DIR/telemetry_logger.py $DIR/telemetry_server.py $DIR/telemetry_storage.py $DIR/telemetry_stream.py $DIR/telemetry_pyros_logger.py $DIR/__... | true |
6920bca3f2062d8764c295139eedb78f5cab19a2 | Shell | Daitole/UWB-MATLAB-Lab | /UWB-Experiments-MATLAB/MQTT_Communication_Scripts/tag_pub_service.sh | UTF-8 | 1,058 | 3.75 | 4 | [] | no_license | #!/bin/bash
# starting the python publisher, with console standard output/errors
# both stored in /home/pi/tag_pub_out.log
PROCESS_NAME="tag_mqtt_publisher.py"
while true;
do
time=$(date "+%Y-%m-%d %H:%M:%S")
# number of publishing processes, expecting 1
NUM=`ps aux | grep "python3 -u" | grep -v "grep" | grep -w ${P... | true |
0f1abd4fcfc67ddc04b7081bcdd249d947523acf | Shell | arturbalabanov/dotfiles | /scripts/git-jump | UTF-8 | 137 | 2.890625 | 3 | [] | no_license | #!/bin/bash
if [[ $# -eq 1 ]]; then
git stash
git checkout $1
elif [[ $# -eq 0 ]]; then
git checkout -
git stash pop
fi
| true |
59f47abc10dea892ea9b52afe1a27c0cf8c4414c | Shell | da99/da_css.cr | /sh/property/_ | UTF-8 | 3,518 | 3.84375 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env zsh
#
# === {{CMD}} w3|used
# === {{CMD}} samples [all]
# === {{CMD}} samples continue property-name
# === {{CMD}} samples save-to-specs [continue]
#
set -u -e -o pipefail
local +x ORIGINAL_ARGS="$@"
if [[ -z "$@" ]]; then
local +x ACTION=list
else
local +x ACTION=$1; shift
fi
local +x LIST_TXT=src... | true |
ac8024208a152e2a3bb941c1fa30788ca51de0dc | Shell | geekspark-rh/dimo-control | /do_it.sh | UTF-8 | 483 | 2.671875 | 3 | [] | no_license | #!/bin/bash
export DISPLAY=:0
xhost +
setterm -blank 0
setterm -powersave off
xset -dpms
date >> /tmp/monitor
function kill_stuff() {
for var in chrome google-chrome python node nodejs screen
do
killall $var 2>/dev/null
sleep .25
killall $var 2>/dev/null
sleep .25
killall -9 $var 2>/dev/null
done
}
... | true |
f3d57a8dc2399286846e746648ed6e5d43c4d066 | Shell | sfinktah/bash | /readvars.sh | UTF-8 | 2,597 | 3.296875 | 3 | [] | no_license | #!/usr/bin/env bash
. include array
cat > /dev/null <<EOEXAMPLE
IP="109.73.161.186"
FIRST="Hawa"
LAST="Tiey"
EMAIL="hawa31@aol.com"
PASS="ht5142844"
YAHOO_PASS="abcd1237"
DAY="2"
MONTH="2"
YEAR="87"
GENDER="m"
TZ="Asia/Calcutta"
HEIGHT="671"
WIDTH="1280"
UAGENT="Mozilla/5.0 (Macintosh; Intel Mac OS X 10_5_8) AppleWeb... | true |
2a42627c129cd7e5e2e4fbae0067cc1dd725f05c | Shell | nodejs/build | /tools/build-p-ssh-hosts.sh | UTF-8 | 1,273 | 3.359375 | 3 | [] | no_license | #!/bin/sh
# Build host file for parallel-ssh, they can be used like:
# parallel-ssh -h arm64_pi3 gcc --version
set -e
mkdir -p hosts
# Ansible hosts look like:
# Host some-thing-that-is-blue alias
# Check that there are at least 3 "-" in the name to choose only ansible's
# machine names, and strip off the tra... | true |
a880dd6ff27a5c807a5d782e1556d5b16807948b | Shell | Ti-webdev/docker-generator-m-ionic | /build-release.sh | UTF-8 | 698 | 2.953125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
test ! -e platforms/android/build-extras.gradle && \
echo 'ext.cdvBuildMultipleApks=false' > platforms/android/build-extras.gradle
test -e plugin/cordova-plugin-console && \
cordova plugin rm cordova-plugin-console
# exit if fail
set -e
# fail if parameter not set
set -u
storekey=$1
key_alias=$2
stor... | true |
9620634a5628a4465c0b90e4feda0b4e1330064b | Shell | DrissMou/Drupal8-ModuleDev | /architecture/scripts/deploy.sh | UTF-8 | 2,053 | 3.84375 | 4 | [] | no_license | #!/bin/bash
cd "$( dirname "${BASH_SOURCE[0]}" )"
cd ..
USAGE_ADDITIONAL_PARAMETER="[-p PreGeneratedPackage] [-b VCSBranch] [-t VCSTag] [-f] [-h]"
USAGE_ADDITIONAL_HELP=$(cat <<EOF
-p : Specify a generated package version to deliver
-b : Specify a VCS branch to deliver
-t : Specify a VCS tag to deliver
... | true |
9a6ff06548c24b0f98a630bda2c66c3fddfee65e | Shell | jiangchb/FuhaoLab | /bin/inst_repeatscout-v1.0.6.sh | UTF-8 | 2,115 | 3.140625 | 3 | [] | no_license | #!/bin/bash
source FuhaoLab.conf
PackageName="repeatscout"
PackageVers="v1.0.6"
InternetLink="http://www.repeatmasker.org/RepeatScout-1.0.6.tar.gz"
NameUncompress="RepeatScout-1.0.6"
TestCmd="./RepeatScout --help"
NameCompress=$PackageName-$PackageVers.tar.gz
CheckPath $PackageName $PackageVers
DownloadWget $Interne... | true |
0d8f4130a9ad51469dc09b08376927fb77c4d626 | Shell | jnTJ3cP7/vag-doc | /rsync/sqlplus/createUser.sh | UTF-8 | 840 | 3.359375 | 3 | [] | no_license | #!/bin/sh
DATE=`date +%Y%m%d%H%M%S`
CONNECTION_DIR='./connection_env'
if [ -f "${CONNECTION_DIR}/$1.sh" ]; then
source "${CONNECTION_DIR}/$1.sh"
else
echo '####### please input info #########'
read -p 'USER : ' USER
read -p 'PASSWORD : ' PASSWORD
read -p 'HOST : ' HOST
read -p 'PORT : ' PORT
read -p 'SE... | true |
a0ca121334ad9e4ffe026dea07fcd9a53293d8c9 | Shell | hochzehn/detectjs | /bin/updateLibraries.sh | UTF-8 | 1,744 | 3.75 | 4 | [
"MIT"
] | permissive | #!/bin/sh
TARGET_DIR=lib/vendor/johnmichel/Library-Detector-for-Chrome
TARGET_FILE="$TARGET_DIR"/libraries.js
TEMP_FILE="$TARGET_DIR"/libraries.original.js
mkdir -p "$TARGET_DIR"
# Download current version of external library
# Full credit to https://github.com/johnmichel/Library-Detector-for-Chrome/
wget -O "$TEMP_... | true |
4cbbfd34330de303b8ecf90df120d550b3c38bbb | Shell | f5devcentral/f5-bigip-image-generator | /src/bin/legacy/rc.sysinit.mfg | UTF-8 | 24,136 | 3.75 | 4 | [
"LicenseRef-scancode-generic-cla",
"LicenseRef-scancode-warranty-disclaimer",
"Apache-2.0"
] | permissive | #!/bin/bash
#
# /etc/rc.d/rc.sysinit - run once at boot time
#
# Taken in part from Miquel van Smoorenburg's bcheckrc.
#
if [ ! -x /dev/rc.sysinit ]; then
cp -p /etc/rc.d/rc.sysinit /dev/rc.sysinit
exec /dev/rc.sysinit
fi
FINAL_CLOUD_PREPARE_MFG="/etc/final_cloud_prepare.sysinit.mfg"
# Maybe startup plymouth... | true |
f41cb4103db0ed998b3ad001440bb9248b6a1c77 | Shell | dice-cyfronet/lobcder-automount | /pkg/all-pkg/create-deb.sh | UTF-8 | 344 | 2.640625 | 3 | [] | no_license | #!/bin/bash
export CURRENT_DIR=`pwd`
export TEMP_DIR=`mktemp -d`
cp src/bin/* ${TEMP_DIR}
cp src/conf/* ${TEMP_DIR}
cp src/service/deb/lobcder ${TEMP_DIR}
cp spec/deb/lobcder.spec ${TEMP_DIR}/lobcder.spec
cd ${TEMP_DIR}
equivs-build lobcder.spec
lintian lobcder*.deb
cp lobcder*.deb ${CURRENT_DIR}/pkg/
cd ${CURRENT_... | true |
a10808c6f135bd9629ef28ee11bc7e9dc040162b | Shell | alejandromontero/DockDoop | /vagrant_deploy.sh | UTF-8 | 1,082 | 3.4375 | 3 | [] | no_license | #!/bin/bash
#
# Deployment script for provisioning a Vagrant cluster with dsh and docker
if [ ! -f /home/vagrant/provisioned ]; then
curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add -
apt-key fingerprint 0EBFCD88
add-apt-repository \
"deb [arch=amd64] https://download.docker.com/linu... | true |
00e978fbc5b92694cc8b4483b9843179c596ab0f | Shell | eden0606/shell-to-python | /hello.sh | UTF-8 | 214 | 3.203125 | 3 | [] | no_license | #!/bin/sh
function Hello() {
local NAME=$1
echo "hello $NAME welcome to my world"
echo ["hi", "bye", "goodbye"] >> output
tr -s ' ' '\n' < output > hello
}
#echo "calling hello function"
Hello Eden
| true |
2007a0440dc73957489f94e0320ac1c38bcaeb2f | Shell | gertv/scripts | /kit | UTF-8 | 188 | 3.296875 | 3 | [] | no_license | #!/bin/bash
ARCHIVE=$1
DIRNAME=`tar tf $ARCHIVE | sort -d | head -1`
echo "- Removing $DIRNAME"
rm -Rf $DIRNAME
echo "- Extracting $ARCHIVE"
tar xzf $ARCHIVE
echo "- Done!"
cd $DIRNAME
| true |
c987207dedcb6f6be6eccb6f5929452ae6c01de4 | Shell | overo/overo-oe-natty | /contrib/deploy/nfs/oe-nfs-deploy-image | UTF-8 | 1,275 | 3.9375 | 4 | [
"MIT"
] | permissive | #!/bin/sh
# Wonder what the heck is /srv ? Read Filesystem Hierarchy Standard,
# http://www.pathname.com/fhs/pub/fhs-2.3.html#SRVDATAFORSERVICESPROVIDEDBYSYSTEM
# So, /srv/nfs is root of all NFS exports your system offers, and /srv/nfs/oe is
# OpenEmbedded's subset (think security).
NFS_ROOT=/srv/nfs/oe
if [ -z "$1" ... | true |
c70d3c31f5aabb1e0c7dc2365896aee6ea80bf23 | Shell | OhmyZakka/MySQL | /test/pressure/sysbench/oltp/scripts/oltp.read.write.1to64threads.run.1000w.upd.sh | UTF-8 | 1,475 | 3.25 | 3 | [] | no_license | #!/bin/bash
###############################################################################################################################################
# This script will run 6 tests, each lasting 4 minutes. It will run 1 through 64 threaded tests, which seem to be the most common tests to run.
# This test does se... | true |
c6021cc364646687afc19f1628c189beb4d3fb71 | Shell | liu-jack/tex | /script/cc_dispatch_server_ip.sh | UTF-8 | 533 | 3.46875 | 3 | [] | no_license | #!/bin/bash
# 从CC分发服务器到各个agent
if [[ $# -ne 2 ]]; then
echo "Usage: $0 pack_name dst_ip"
exit -1
fi
source config.sh
source remote_cmd.sh
pack_name=$1
dst_ip=$2
server=`echo $pack_name |cut -d "-" -f2`
if [ ! -f $version_backup/$pack_name ]; then
echo "cannot find file: $version_backup/$pack_name"
exit -1
fi
ech... | true |
90db44307a19e003cf6af0d8b5bfea087f5ca537 | Shell | PapaMarky/BigDigitalClock | /src/PigpioService | UTF-8 | 1,092 | 3.53125 | 4 | [] | no_license | #!/bin/sh
### BEGIN INIT INFO
# Provides: pigpiod
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description:
# Description: Start pigpiod at boot
### END INIT INFO
DIR=/home/pi/BigDigitalClock/src
DAEMON=/usr/local/bin/pigpiod
DAEMON_NA... | true |
9f5b57d689590a51a8f2fc4b06f71e57eea12980 | Shell | a-lilas/zsh | /.zshrc | UTF-8 | 6,802 | 3 | 3 | [] | no_license | # license : MIT
# http://mollifier.mit-license.org/
########################################
# 環境変数
export LANG=ja_JP.UTF-8
# 色を使用出来るようにする
autoload -Uz colors
colors
# emacs 風キーバインドにする
bindkey -e
# ヒストリの設定
HISTFILE=~/.zsh_history
HISTSIZE=1000000
SAVEHIST=1000000
# プロンプト
# 1行表示
# PROMPT="%~ %# "
# 2行表示
PROMPT="%{... | true |
760b65c6f70a792f98802acf38370e18e2688f6d | Shell | simonkeyd/dotfiles | /.config/yadm/bootstrap##template.default | UTF-8 | 2,029 | 3.625 | 4 | [] | no_license | #!/bin/bash
# Leverage git space-checkout to prevent !README and LICENSE files from being pulled
yadm gitconfig core.sparseCheckout true
yadm sparse-checkout set '/*' '!README.md' '!LICENSE' '!imgs/*'
{% if yadm.distro == "arch" %}
pacman_packages="i3-gaps yay alacritty vim zsh tmux rofi picom pywal ttf-iosevka-nerd"... | true |
24833119c52c4fcf578e515c3e2f1b155087c4e9 | Shell | NHristovski/bash-exercises | /ComparingNumbers/solution.sh | UTF-8 | 304 | 3.796875 | 4 | [] | no_license | #!/bin/bash
read firstNumber
read secondNumber
X_IS_GREATER = "X is greater than Y"
Y_IS_GREATER = "X is less than Y"
EQUAL = "X is equal to Y"
if [ $firstNumber -gt $secondNumber ]
then
echo $X_IS_GREATER
elif [ $firstNumber -lt $secondNumber ]
then
echo $Y_IS_GREATER
else
echo $EQUAL
fi | true |
8f7e102c81d1ebbfc8b3c8247062b01b03865abf | Shell | wizard-merlin/wireguard-mariadb-auth | /start.sh | UTF-8 | 1,069 | 3.296875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# make sure WIREGUARD_PORT exists and is a number
if ! [[ $WIREGUARD_PORT =~ ^[0-9]+$ ]] ; then
export WIREGUARD_PORT=1337
fi
# make sure iptables is natting the default interface
# alpine will default the interface name to eth0
if ! iptables -t nat -C POSTROUTING -o eth0 --source 10.200.0.0/16 -j MASQU... | true |
982a9b7d45840e6fb3bdd69a44885b17057868ab | Shell | SilentKernel/ts3admin-docker | /php/imported_files/docker-entrypoint.sh | UTF-8 | 351 | 3.171875 | 3 | [] | no_license | #!/bin/sh
# We remove everything at start
if [ -f "/var/www/html/index.php" ];
then
rm -R /var/www/html/*
fi
# Copy original source from container
cp -R /usr/source/tsweb/* /var/www/html
# Chown it to www-data then php can easly upload file (wich will be removed at each start)
chown -R www-data /var/www/html
ech... | true |
414ec9eded430cb8b1b00b82ad6c9fccabfc732d | Shell | Crow-EH/docker-buildbox | /percy/percy-entrypoint.sh | UTF-8 | 342 | 3.125 | 3 | [] | no_license | #! /bin/sh
set -e
if [ -z "$PERCY_TOKEN" ]; then
echo "[ERROR] Environment variable PERCY_TOKEN is not set."
exit 1
fi
if [ $1 = 'sitemap' ] ; then
if [ -z "$SITEMAP_URL" ]; then
echo "[ERROR] Environment variable SITEMAP_URL is not set."
exit 1
fi
percy exec -- node /sitemap.js
... | true |
c39b62b2944873d18cac2dd9119c4d4b68e53a4b | Shell | piovere/dotfiles | /zsh.d.symlink/functions/pip | UTF-8 | 329 | 3.40625 | 3 | [] | no_license | #!/bin/zsh
# Only run pip normally if we're currently running it from
# a virtual environment. Otherwise only let it install to
# the local user directory.
pip() {
if [[ -n $VIRTUAL_ENV ]]; then
$VIRTUAL_ENV/bin/pip "$@"
else
_pip="$(/usr/bin/python -m site --user-base)/bin/pip"
PIP_USER=1 $_pip "$@... | true |
cb2e8c69cd10aaa26bc8eec38bbbe42e7026f946 | Shell | michaelagould/NJIT | /CS-288/QuizPreps/insert.sh | UTF-8 | 538 | 3.390625 | 3 | [] | no_license | #!/bin/bash
array=($@)
for (( i = 1; i < ${#array[@]}; i++ ));
do
key=${array[$i]}
for (( j = $i-1; j >= 0 && array[$j] > key; j-- ));
do
array[j+1]=${array[$j]}
done
array[$j+1]=$key
done
echo ${array[@]}
echo "test: $key"
((j=$i-1))
echo "index: $j"
while [[ j -ge 0 ]];
do
if [ ${array[$j]} -gt $ke... | true |
55f3eee73bfbb444330891a85aa5776e1a160e0d | Shell | radarnex/networking-scripts | /cisco_gen_type5_pass.sh | UTF-8 | 137 | 2.828125 | 3 | [] | no_license | #!/bin/bash
# Generates Cisco's Type5 (MD5) passwords
plain_passwd="$1"
openssl passwd -salt `openssl rand -base64 3` -1 $plain_passwd
| true |
eb887331f01585daa917b50aebc85ca1d2ef24f8 | Shell | falconray0704/ubuntuCfg | /1604Srv/launch/ss.sh | UTF-8 | 838 | 3.34375 | 3 | [] | no_license | #!/bin/bash
#/usr/local/kcp-server/kcp-server -l ":47369" -t "127.0.0.1:47147" --key "&Fuckgfw" &
ip=`ifconfig | grep "inet addr" | awk '{print $2}' | grep -v 127 | sed 's/addr://'`
echo "Server IP:$ip"
#read ACTION
#echo $ACTION
stop()
{
ssServers=`ps -ef | grep ss-server | grep -v "grep" | awk '{print $2}'`
#ech... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.